# Uses of Class
org.eclipse.gef.requests.CreateRequest

Packages that use CreateRequest
Package
Description
org.eclipse.gef.dnd
org.eclipse.gef.editpolicies
This package contains EditPolicy implementations for many common editing Roles.
org.eclipse.gef.requests
This package contains the common Request types used by the provided tools and edit policies.
org.eclipse.gef.tools
This package provides several tool implementations.

## Uses of CreateRequest in org.eclipse.gef.dnd

Methods in org.eclipse.gef.dnd that return CreateRequest
Modifier and Type
Method
Description
`protected final CreateRequest`
TemplateTransferDropTargetListener.`getCreateRequest()`
A helper method that casts the target Request to a CreateRequest.

## Uses of CreateRequest in org.eclipse.gef.editpolicies

Methods in org.eclipse.gef.editpolicies with parameters of type CreateRequest
Modifier and Type
Method
Description
`protected org.eclipse.draw2d.IFigure`
LayoutEditPolicy.`createSizeOnDropFeedback(CreateRequest createRequest)`
Override to provide custom feedback figure for the given create request.
`protected Object`
ConstrainedLayoutEditPolicy.`getConstraintFor(CreateRequest request)`
Generates a draw2d constraint for the given `CreateRequest` by delegating to `ConstrainedLayoutEditPolicy.getConstraintFor(Request, GraphicalEditPart, Rectangle)`.
`protected abstract Command`
ContainerEditPolicy.`getCreateCommand(CreateRequest request)`
Clients must implement to contribute to create requests.
`protected abstract Command`
LayoutEditPolicy.`getCreateCommand(CreateRequest request)`
Returns the `Command` to perform a create.
`protected abstract Command`
TreeContainerEditPolicy.`getCreateCommand(CreateRequest request)`
Returns a Command for creating the object inside the container.
`protected org.eclipse.draw2d.geometry.Insets`
LayoutEditPolicy.`getCreationFeedbackOffset(CreateRequest request)`
Returns any insets that need to be applied to the creation feedback's bounds.
`protected org.eclipse.draw2d.IFigure`
LayoutEditPolicy.`getSizeOnDropFeedback(CreateRequest createRequest)`
Lazily creates and returns the Figure to use for size-on-drop feedback.
`protected void`
LayoutEditPolicy.`showSizeOnDropFeedback(CreateRequest request)`
Shows size-on-drop feedback during creation.
`protected void`
XYLayoutEditPolicy.`showSizeOnDropFeedback(CreateRequest request)`

## Uses of CreateRequest in org.eclipse.gef.requests

Subclasses of CreateRequest in org.eclipse.gef.requests
Modifier and Type
Class
Description
`class`
`CreateConnectionRequest`
A Request to create a new Connection.

## Uses of CreateRequest in org.eclipse.gef.tools

Methods in org.eclipse.gef.tools that return CreateRequest
Modifier and Type
Method
Description
`protected CreateRequest`
CreationTool.`getCreateRequest()`
Deprecated, for removal: This API element is subject to removal in a future version.
use TargetingTool#getTargetRequest()
`protected CreateRequest`
CreationTool.`getTargetRequest()`
Methods in org.eclipse.gef.tools with parameters of type CreateRequest
Modifier and Type
Method
Description
`protected void`
CreationTool.`enforceConstraintsForSizeOnDropCreate(CreateRequest request)`
Ensures size constraints (by default minimum and maximum) are respected by the given request.
`protected org.eclipse.draw2d.geometry.Dimension`
CreationTool.`getMaximumSizeFor(CreateRequest request)`
Determines the maximum size for CreateRequest's size on drop.
`protected org.eclipse.draw2d.geometry.Dimension`
CreationTool.`getMinimumSizeFor(CreateRequest request)`
Determines the minimum size for CreateRequest's size on drop.